# BitFont (Javadocs: controlP5)
Date: 2014-04-27

controlP5

## Class BitFont

- java.lang.Object
- - processing.core.PFont
  - - controlP5.BitFont

All Implemented Interfaces:
  processing.core.PConstants

    public class BitFont
    extends processing.core.PFont

### Nested Class Summary

### Nested classes/interfaces inherited from class processing.core.PFont

`processing.core.PFont.Glyph`

### Field Summary

Fields
`static int` `defaultChar`
`static java.lang.String` `grixelbase64`
`static java.lang.String` `standard56base64`
`static java.lang.String` `standard58base64`

### Fields inherited from class processing.core.PFont

`CHARSET`

### Fields inherited from interface processing.core.PConstants

`ADD, ALPHA, ALT, AMBIENT, ARC, ARGB, ARROW, BACKSPACE, BASELINE, BEVEL, BEZIER_VERTEX, BLEND, BLUR, BOTTOM, BOX, BREAK, BURN, CENTER, CHATTER, CHORD, CLAMP, CLOSE, CODED, COMPLAINT, CONTROL, CORNER, CORNERS, CROSS, CURVE_VERTEX, CUSTOM, DARKEST, DEG_TO_RAD, DELETE, DIAMETER, DIFFERENCE, DILATE, DIRECTIONAL, DISABLE_DEPTH_MASK, DISABLE_DEPTH_SORT, DISABLE_DEPTH_TEST, DISABLE_NATIVE_FONTS, DISABLE_OPENGL_ERRORS, DISABLE_OPTIMIZED_STROKE, DISABLE_RETINA_PIXELS, DISABLE_STROKE_PERSPECTIVE, DISABLE_STROKE_PURE, DISABLE_TEXTURE_MIPMAPS, DODGE, DOWN, DXF, ELLIPSE, ENABLE_DEPTH_MASK, ENABLE_DEPTH_SORT, ENABLE_DEPTH_TEST, ENABLE_NATIVE_FONTS, ENABLE_OPENGL_ERRORS, ENABLE_OPTIMIZED_STROKE, ENABLE_RETINA_PIXELS, ENABLE_STROKE_PERSPECTIVE, ENABLE_STROKE_PURE, ENABLE_TEXTURE_MIPMAPS, ENTER, EPSILON, ERODE, ERROR_BACKGROUND_IMAGE_FORMAT, ERROR_BACKGROUND_IMAGE_SIZE, ERROR_PUSHMATRIX_OVERFLOW, ERROR_PUSHMATRIX_UNDERFLOW, ERROR_TEXTFONT_NULL_PFONT, ESC, EXCLUSION, GIF, GRAY, GROUP, HALF_PI, HAND, HARD_LIGHT, HINT_COUNT, HSB, IMAGE, INVERT, JAVA2D, JPEG, LANDSCAPE, LEFT, LIGHTEST, LINE, LINE_LOOP, LINE_STRIP, LINES, LINUX, MACOSX, MAX_FLOAT, MAX_INT, MIN_FLOAT, MIN_INT, MITER, MODEL, MODELVIEW, MOVE, MULTIPLY, NORMAL, OPAQUE, OPEN, OPENGL, ORTHOGRAPHIC, OTHER, OVERLAY, P2D, P3D, PATH, PDF, PERSPECTIVE, PI, PIE, platformNames, POINT, POINTS, POLYGON, PORTRAIT, POSTERIZE, PROBLEM, PROJECT, PROJECTION, QUAD, QUAD_BEZIER_VERTEX, QUAD_STRIP, QUADS, QUARTER_PI, RAD_TO_DEG, RADIUS, RECT, REPEAT, REPLACE, RETURN, RGB, RIGHT, ROUND, SCREEN, SHAPE, SHIFT, SOFT_LIGHT, SPHERE, SPOT, SQUARE, SUBTRACT, TAB, TARGA, TAU, TEXT, THIRD_PI, THRESHOLD, TIFF, TOP, TRIANGLE, TRIANGLE_FAN, TRIANGLE_STRIP, TRIANGLES, TWO_PI, UP, VERTEX, WAIT, WHITESPACE, WINDOWS, X, Y, Z`

### Constructor Summary

Constructors
Constructor and Description
`BitFont(byte[] theBytes)`

### Method Summary

Methods
`processing.core.PFont.Glyph` `getGlyph(char c)`

### Methods inherited from class processing.core.PFont

`ascent, descent, findFont, findNative, getFont, getGlyph, getGlyphCount, getName, getNative, getPostScriptName, getSize, isStream, kern, list, loadFonts, save, setNative, setSubsetting, width`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### defaultChar

    public static int defaultChar

#### grixelbase64

    public static final java.lang.String grixelbase64

See Also:
  Constant Field Values

#### standard56base64

    public static final java.lang.String standard56base64

See Also:
  Constant Field Values

#### standard58base64

    public static final java.lang.String standard58base64

See Also:
  Constant Field Values

### Constructor Detail

#### BitFont

    public BitFont(byte[] theBytes)

### Method Detail

#### getGlyph

    public processing.core.PFont.Glyph getGlyph(char c)

Overrides:
  `getGlyph` in class `processing.core.PFont`